<?php

global $navratovaHodnotaStanice;
global $navratovaHodnotaSpoje;
global $navratovaHodnotaTopologie;


include "connection.php";
if ($connection) {

    $query = "CREATE TABLE IF NOT EXISTS stanice (
                ID INT PRIMARY KEY AUTO_INCREMENT,
                Nazev VARCHAR(50) NOT NULL,
                Latitude FLOAT NOT NULL,
                Longitude FLOAT NOT NULL,
                Poznamka TEXT,
                Poradi SMALLINT,
                Topologie VARCHAR(50) NOT NULL
            )ENGINE = InnoDB;";
    $result = mysqli_query($connection, $query);


    $query2 = "CREATE TABLE IF NOT EXISTS topologie (
                ID INT PRIMARY KEY AUTO_INCREMENT,
                Nazev VARCHAR(50) NOT NULL,
                Typ VARCHAR(30) NOT NULL,
                Poznamka TEXT
                )ENGINE = InnoDB;";
    $result2 = mysqli_query($connection, $query2);


    $query3 = "CREATE TABLE IF NOT EXISTS spoje (
        /* Obecne parametry */
        ID INT PRIMARY KEY AUTO_INCREMENT,
        Nazev VARCHAR(110) NOT NULL COMMENT 'Obecne',
        StaniceA VARCHAR(50) NOT NULL COMMENT 'Obecne',
        StaniceB VARCHAR(50) NOT NULL COMMENT 'Obecne',
        Topologie VARCHAR(50) NOT NULL COMMENT 'Obecne',
        Typ VARCHAR(30) NOT NULL COMMENT 'Obecne',
        Download DECIMAL(7,2) NOT NULL DEFAULT '0' COMMENT 'Obecne',
        Upload DECIMAL(7,2) NOT NULL DEFAULT '0' COMMENT 'Obecne',
        Poznamka TEXT NULL DEFAULT NULL COMMENT 'Obecne',
        Vzdalenost FLOAT NOT NULL DEFAULT '0' COMMENT 'Obecne',
        Oznaceni VARCHAR(50) COMMENT 'Obecne',
        /* BPL */
        Koeficient DECIMAL(5,4) NOT NULL DEFAULT '0' COMMENT 'BPL',
        PocetSpojek TINYINT NOT NULL DEFAULT '-1' COMMENT 'BPL',
        TypSpojek VARCHAR(150) COMMENT 'BPL',
        RokInstalaceSpojek VARCHAR(150) COMMENT 'BPL',
        TypKabelu VARCHAR(150) COMMENT 'BPL',
        RokInstalaceKabelu VARCHAR(150) COMMENT 'BPL',
        Rx DECIMAL(7,2) NOT NULL DEFAULT '0' COMMENT 'BPL',
        Tx DECIMAL(7,2) NOT NULL DEFAULT '0' COMMENT 'BPL',
        DelkaUsekuKabelu VARCHAR(150) COMMENT 'BPL',
        PrurezKabelu DECIMAL(6,2) NOT NULL DEFAULT '0' COMMENT 'BPL',
        MaterialSpojek VARCHAR(150) COMMENT 'BPL',
        Zatez DECIMAL(5,2) NOT NULL DEFAULT '-1' COMMENT 'BPL',
        Zemneni VARCHAR(150) COMMENT 'BPL',
        /* MW */
        RxMHz DECIMAL(9,2) NOT NULL DEFAULT '0' COMMENT 'MW',
        TxMHz DECIMAL(9,2) NOT NULL DEFAULT '0' COMMENT 'MW',
        BandwithMHz SMALLINT NOT NULL DEFAULT '0' COMMENT 'MW',
        Modulace VARCHAR(20) NOT NULL DEFAULT '0' COMMENT 'MW'
        /* PŘIDÁNÍ SLOUPCŮ PRO SPECIFICKOU TECHNOLOGII */
        ) ENGINE = InnoDB;";


    $result3 = mysqli_query($connection, $query3);


    if ($result)
        $navratovaHodnotaStanice = "Tabulka \"Stanice\" vytvořena/nalezena";
    else
        $navratovaHodnotaStanice = "Chyba při práci s tabulkou \"Stanice\"";

    if ($result2)
        $navratovaHodnotaTopologie = "Tabulka \"Topologie\" vytvořena/nalezena";
    else
        $navratovaHodnotaTopologie = "Chyba při práci s tabulkou \"Topologie\"";

    if ($result3)
        $navratovaHodnotaSpoje = "Tabulka \"Spoje\" vytvořena/nalezena";
    else
        $navratovaHodnotaSpoje = "Chyba při práci s tabulkou \"Spoje\"";



} else {
    $navratovaHodnotaStanice = "Chyba připojení";
    $navratovaHodnotaSpoje = "Chyba připojení";
    $navratovaHodnotaTopologie = "Chyba připojení";
}
mysqli_close($connection);


?>